/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2012-2014, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#include "lock.h"


namespace Winix
{




Lock::Lock()
{
	synchro = 0;
}


Lock::Lock(Synchro * synchro_)
{
	synchro = synchro_;
	synchro->Lock();
}


Lock::Lock(Synchro & synchro_)
{
	synchro = &synchro_;
	synchro->Lock();
}


Lock::~Lock()
{
	Unlock();
}


void Lock::Unlock()
{
	if( synchro )
	{
		synchro->Unlock();
		synchro = 0;
	}
}



} // namespace Winix

